org.apache.ignite.internal.processors.hadoop

## Interface HadoopJobInfo

All Known Implementing Classes:
  HadoopDefaultJobInfo

    public interface HadoopJobInfo

Extended job description.

### Method Summary

All Methods Instance Methods Abstract Methods
`HadoopJobEx` `createJob(Class<? extends HadoopJobEx> jobCls, HadoopJobId jobId, IgniteLogger log, String[] libNames, HadoopHelper helper)` Creates new job instance for the given ID.
`byte[]` `credentials()` Gets credentials.
`boolean` `hasCombiner()` Checks whether job has combiner.
`boolean` `hasReducer()` Checks whether job has reducer.
`String` `jobName()` Gets job name.
`String` `property(String name)` Gets optional configuration property for the job.
`int` `reducers()`
`String` `user()` Gets user name.

### Method Detail

#### property

    @Nullable
    String property(String name)

Gets optional configuration property for the job.

Parameters:
  `name` - Property name.
Returns:
  Value or `null` if none.

#### hasCombiner

    boolean hasCombiner()

Checks whether job has combiner.

Returns:
  `true` If job has combiner.

#### hasReducer

    boolean hasReducer()

Checks whether job has reducer. Actual number of reducers will be in `HadoopMapReducePlan.reducers()`.

Returns:
  Number of reducer.

#### reducers

    int reducers()

Returns:
  Number of reducers configured for job.

#### jobName

    String jobName()

Gets job name.

Returns:
  Job name.

#### user

    String user()

Gets user name.

Returns:
  User name.

#### credentials

    byte[] credentials()

Gets credentials.

Returns:
  Credentials.

#### createJob

    HadoopJobEx createJob(Class<? extends HadoopJobEx> jobCls,
                          HadoopJobId jobId,
                          IgniteLogger log,
                          @Nullable
                          String[] libNames,
                          HadoopHelper helper)
                   throws IgniteCheckedException

Creates new job instance for the given ID. `HadoopJobInfo` is reusable for multiple jobs while `HadoopJobEx` is for one job execution. This method will be called once for the same ID on one node, though it can be called on the same host multiple times from different processes (in case of multiple nodes on the same host or external execution).

Parameters:
  `jobCls` - The job class.
  `jobId` - Job ID.
  `log` - Logger.
  `libNames` - Optional additional native library names.
  `helper` - HadoopHelper.
Returns:
  Job.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018